Bug 185233 - kernel 2041 panics when switching root on boot.
kernel 2041 panics when switching root on boot.
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-03-12 08:19 EST by Steven Haigh
Modified: 2008-05-06 11:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Haigh 2006-03-12 08:19:54 EST
Description of problem:
When booting into kernel 2.6.15-1.2041_FC5, the following error occurs:
Switching to new root
switchroot: new root mount point expected
Kernel Panic - not syncing: Attempted to kill init!
 [<c011a312>] panic+0x3e/0x170	[<c011cec2>] do_exit+0x71/0x6c8
[<c0145fc9>] do_munmap+0x184/0x19e	[<c011d59d>] sys_exit_group+0x0/0xd
 [<c0102bc1>] syscall_call+0x7/0xb

Version-Release number of selected component (if applicable):
Rawhide - kernel-2.6.15-1.2041_FC5

How reproducible:
Happens on every boot.

Steps to Reproduce:
1. Install fresh FC4 from DVD.
2. Update all packages via fedora-released updates
3. Update to rawhide (aka fedora-devel/fedora-extras-devel)
4. Update kernel to latest at this point in time
5. Machine will crash on boot.
Comment 1 Steven Haigh 2006-03-12 09:01:14 EST
The system boot off an IDE drive (/dev/hda1). it has 4 x 300Gb SATA drives in
software RAID5.

$ cat /etc/fstab
LABEL=/                 /                       ext3    defaults        1 1
/dev/devpts             /dev/pts                devpts  gid=5,mode=620  0 0
/dev/shm                /dev/shm                tmpfs   defaults        0 0
LABEL=/home             /home                   ext3    defaults        1 2
/dev/md0                /mnt/raid               ext3    defaults        1 2
/dev/proc               /proc                   proc    defaults        0 0
/dev/sys                /sys                    sysfs   defaults        0 0

$ cat /boot/grub/device.map 
# this device map was generated by anaconda
(fd0)     /dev/fd0
(hd0)     /dev/hda

$ cat /boot/grub/menu.lst 
# grub.conf generated by anaconda
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/hda1
#          initrd /boot/initrd-version.img
title Fedora Core (2.6.15-1.2041_FC5)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.15-1.2041_FC5 ro root=LABEL=/
        initrd /boot/initrd-2.6.15-1.2041_FC5.img
title Fedora Core (2.6.15-1.1833_FC4)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.15-1.1833_FC4 ro root=LABEL=/
        initrd /boot/initrd-2.6.15-1.1833_FC4.img
Comment 2 Steven Haigh 2006-03-12 09:02:55 EST
Just incase you need any info about the SATA RAID array.

# mdadm.conf written out by anaconda
DEVICE partitions
ARRAY /dev/md0 level=raid5 num-devices=4 uuid=3a1bbe67:fd907e6c:d2b2f8bf:58d12d79
Comment 3 Peter Jones 2006-03-13 20:27:39 EST
What version of mkinitrd was installed when you installed this kernel?
Comment 4 Steven Haigh 2006-03-13 22:10:35 EST
I can't be 100% sure - as the upgrade to rawhide was done on a fully up to date
FC4 install. Depending on the install order of packages during the upgrade, it
would either be the latest available in FC4's updates-released repo, or the
latest available via rawhide.

What I mean by this, is that if mkinitrd was installed by yum before the kernel.
The currently installed version is: mkinitrd-5.0.31-1
Comment 5 Mikhael Goikhman 2006-03-19 12:32:05 EST
The same problem except for certain differences.

1) Fresh FC4 install from CD
2) "yum update" yesterday (this step is optional)
3) change yum repos to devel
4) "yum update" gives conflict problem regarding "kernel" (that is by itself not
5) Two kernels at this point, 2.6.11 and 2.6.15, "rpm -e kernel-2.6.15"
6) "yum update --except '10 packages including kernel, initscripts, kudzu'"
7) manually "rpm -U kernel-2.6.15-1.1833_FC4.i686.rpm"
8) "yum update"

At this point the system is pretty much FC5 with 2 kernels
kernel-2.6.15-1.1833_FC4 and kernel-2.6.15-1.2054_FC5 (this one was not added to
grub.conf (!), so add it manually). Reboot to any of these - kernel panics:

switchroot: new root mount point expected
Kernel Panic - not syncing: Attempted to kill init!

The root partition is /dev/hda1 (LABEL=/). No /boot partition, no RAID.

mkinitrd is still 4.2.15, accourding to VERSION string in /sbin/mkinitrd. This
is probably the problem.
Comment 6 Mikhael Goikhman 2006-03-19 19:10:32 EST
Ok, after mounting this disk (i.e. "/" and "/usr"), I investigated the problem
and finally solved my kernel panic.

/sbin/grubby was 644 instead of 755 (I want to remind this is stock FC4 with yum
updates). This probably explains why FC5 kernel was not added to grub.conf in my

After "chroot", I installed missing mkinitrd, "rpm -U mkinitrd-5.0.32-1.i386.rpm".

After "mount /sys" and "mkinitrd -f -v /boot/initrd-2.6.15-1.2054_FC5.img
2.6.15-1.2054_FC5", I rebooted the system (FC5 at this point) and it came up.
Comment 7 Dave Jones 2006-03-19 19:33:32 EST
bizarre. I've no idea why grubby ended up mode 644
Peter ?
Comment 8 Bug Zapper 2008-04-03 22:09:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 11:35:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.